module Villefort.Definitions where

data VConfig  = VConfig {
  daily :: ![[String]],
  monthly :: [[String]],
  yearly :: [[String]],
  weekly :: Weekly,
  port :: Int,
  noCustom :: Bool,
  dataBasePath :: Maybe String,
  showDatabase :: Bool
  }

data Weekly = Weekly {
  monday :: [IO[String]],
  tuesday :: [IO[String]],
  wednesday :: [IO[String]],
  thursday :: [IO[String]],
  friday :: [IO[String]],
  saturday :: [IO[String]],
  sunday ::[IO[String]]
                     }


